// Required functions
// ==================

// void nsf_init()
//   INIT routine, will be called after crt startup.
//   A/X are set as usual for nsf_init; if multiple tracks are desired, use assembly.

// void nsf_play()
//   PLAY routine, called directly by NSF player

// General
// =======

typedef unsigned char      uint8;
typedef signed char        sint8;
typedef unsigned short int uint16;
typedef signed short int   sint16;

#define NULL 0

// RAW_BUS: for advanced users, allows peek/poke at any memory address.
#define RAW_BUS(x) (*((volatile uint8*)x))

// generic static variables to avoid stack
extern uint8  i, j;
extern uint16 k, l;
extern uint8  a, b;

#pragma zpsym("i");
#pragma zpsym("j");
#pragma zpsym("k");
#pragma zpsym("l");
#pragma zpsym("a");
#pragma zpsym("b");

// end of file